Now we have our OS' course project codes here.

First, we have learned how to get messages from android kernel and how to add some system call to it at Phase 1.
Second, we start building android kernel on our system: Adding module to kernel, Adding patch to kernel, And at the end, Building the kernel.
Third? We don't know it now, but we hope it hasn't building and having lots of other learning about kernel.

Hope you enjoy. ;)